<mat-tab-group color="primary">
  <mat-tab label="Adquisicion">
    <div class="mt-3">
      <app-formAdq [type]="type"></app-formAdq>
    </div>
  </mat-tab>
  <mat-tab label="Historial">
    <div class="card mt-3">
      <div class="car-body">
        <table mat-table [dataSource]="dataSource">
          <ng-container matColumnDef="id">
            <th mat-header-cell *matHeaderCellDef>No.</th>
            <td mat-cell *matCellDef="let element">{{ element.id }}</td>
          </ng-container>

          <ng-container matColumnDef="accion">
            <th mat-header-cell *matHeaderCellDef>Evento</th>
            <td mat-cell *matCellDef="let element">
              {{ element.action }}
            </td>
          </ng-container>

          <ng-container matColumnDef="realizado">
            <th mat-header-cell *matHeaderCellDef>Realizado</th>
            <td mat-cell *matCellDef="let element">
              {{ element.createAt | date : "short" }}
            </td>
          </ng-container>

          <ng-container matColumnDef="acciones">
            <th mat-header-cell *matHeaderCellDef>Acciones</th>
            <td mat-cell *matCellDef="let element">
              <button
                mat-icon-button
                color="accent"
                (click)="openHistorial(element)"
              >
                <mat-icon>visibility</mat-icon>
              </button>
            </td>
          </ng-container>

          <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
          <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
        </table>
      </div>
    </div>
  </mat-tab>
</mat-tab-group>
